Name:           genbackupdata
Version:        1.9
Release:        9%{?dist}
Summary:        A program to generate test data for testing backup software

# upstream asked to include license text
License:        GPLv2+
URL:            http://liw.fi/%{name}/
Source0:        http://code.liw.fi/debian/pool/main/g/%{name}/%{name}_%{version}.orig.tar.xz
Patch0:         %{name}-1.9-pep8-e402.patch

BuildArch:      noarch
# build-time
BuildRequires:  cmdtest
BuildRequires:  python2-coverage-test-runner
BuildRequires:  python2-pep8
BuildRequires:  python2-markdown
# build- and run-time
BuildRequires:  python2-cliapp
BuildRequires:  python2-crypto
BuildRequires:  python2-ttystatus
BuildRequires:  python2-devel
Requires:       python2-cliapp
Requires:       python2-crypto
Requires:       python2-ttystatus

%description
genbackupdata creates or modifies directory trees in ways that
simulate real filesystems sufficiently well for performance testing of
backup software. For example, it can create files that are a mix of
small text files and big binary files, with the binary files
containing random binary junk which compresses badly. This can then be
backed up, and later the directory tree can be changed by creating new
files, modifying files, or deleting or renaming files. The backup can
then be run again.

The output is deterministic, such that for a given set of parameters
the same output always happens. Thus it is more efficient to
distribute genbackupdata and a set of parameters between people who
wish to benchmark backup software than distributing very large test
sets.


%prep
%autosetup -p1
# Fix Python shebangs
sed -i 's|/usr/bin/.*python$|/usr/bin/python2|' *.py
sed -i 's|/usr/bin/.*python$|/usr/bin/python2|' genbackupdatalib/*.py
sed -i 's|/usr/bin/.*python$|/usr/bin/python2|' genbackupdata
sed -i 's|python|python2|' Makefile



%build
%py2_build
# build manpage
make genbackupdata.1


%install
%py2_install


%check
# CoverageTestRunner trips up on build directory;
# since we've already done the install phase, remove it first
rm -rf build
make check


%files
%doc NEWS README
%{_mandir}/man1/genbackupdata.1*
%{_bindir}/genbackupdata
%{python2_sitelib}/*


%changelog
* Thu Sep 13 2018 Filipe Rosset <rosset.filipe@gmail.com> - 1.9-9
- rebuilt to fix FTBFS rhbz #1604068

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.9-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Filipe Rosset <rosset.filipe@gmail.com> - 1.9-4
- Fix FTBFS rhbz#1423597 and spec cleanup

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Feb 15 2016 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.9-1
- Update to 1.9

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jul 19 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8-1
- Update to 1.8

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Michel Salim <salimma@fedoraproject.org> - 1.7-1
- Update to 1.7

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul  8 2012 Michel Salim <salimma@fedoraproject.org> - 1.6-2
- Remove deprecated %%{python_sitelib} declaration
- Switch source URL to use the Debian-hosted file
- Delete build directory before doing coverage tests; the coverage
  exclusion list does not include the built version of the excluded
  modules

* Sun Jun  3 2012 Michel Salim <salimma@fedoraproject.org> - 1.6-1
- Initial package
